Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.expr
Class Range

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.expr.Arr
                  org.basex.query.expr.Range

    public final class Range

extends Arr

Range Expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.expr.Arr
`expr`

Constructor Summary
`Range(Expr e1, Expr e2)` Constructor.

Method Summary
`Expr` | `comp(QueryContext ctx)` Optimizes and compiles the expression.
`Iter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.
`long[]` | `range(QueryContext ctx)` Returns the start and end value of the range operator, or null if the range could not be evaluated.
`Return` | `returned(QueryContext ctx)` Indicates the return type of an expression.
`long` | `size(QueryContext ctx)` Returns the sequence size or 1.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.expr.Arr
`duplicates, indexEquivalent, plan, removable, remove, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, e, ebv, i, indexAccessible, sameAs, test`

Methods inherited from class org.basex.query.ExprInfo
`color, info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Range

    public Range(Expr e1,
                 Expr e2)

  Constructor.

  Parameters:
    `e1` - first expression
    `e2` - second expression

Method Detail

### comp

    public Expr comp(QueryContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Overrides:
    `comp` in class `Arr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - evaluation exception

### iter

    public Iter iter(QueryContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Overrides:
    `iter` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `QueryException` - evaluation exception

### size

    public long size(QueryContext ctx)
              throws QueryException

  Description copied from class: `Expr`
  Returns the sequence size or 1.

  Overrides:
    `size` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    result of check
  Throws:
    `QueryException` - Exception

### range

    public long[] range(QueryContext ctx)
                 throws QueryException

  Returns the start and end value of the range operator, or null if the range could not be evaluated.

  Parameters:
    `ctx` - query context
  Returns:
    value array
  Throws:
    `QueryException` - Exception

### returned

    public Return returned(QueryContext ctx)

  Description copied from class: `Expr`
  Indicates the return type of an expression. Called by the compiler to check if expressions can be reformulated. null is returned by default.

  Overrides:
    `returned` in class `Expr`
  Parameters:
    `ctx` - query context
  Returns:
    result of check

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD